/* emu.c++ -- written by Alexis WILKE (c) 2005-2006 */

/**********************************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
**********************************************************************/


#include	"emu.h"

namespace emulator_8bits
{

emu65xx *emu65xx::Create(id_t id, processor_t processor, Callback& callback)
{
	emu65xx *result;

	result = 0;

	switch(id) {
	case ID_65C02:
		result = new emu65C02(processor, callback);
		break;

	}

	return result;
}


};			// namespace emulator_8bits
// vim: ts=8
